function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import { message } from 'antd';
import dayjs from 'dayjs';
import { useState } from 'react';
import { VmFilter, VmTitle } from "../../../_components";
import { alarmService } from "../../api";
import Distribute from "./Distribute";
import "./index.less";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
var FSCSFB = function FSCSFB(_ref) {
  var _ref$classPrefix = _ref.classPrefix,
    classPrefix = _ref$classPrefix === void 0 ? '' : _ref$classPrefix,
    id = _ref.id;
  var _useState = useState([dayjs().subtract(6, 'days'), dayjs()]),
    _useState2 = _slicedToArray(_useState, 2),
    times = _useState2[0],
    setTimes = _useState2[1];
  var sumByHour = alarmService.useAiAlarmGroupByTypeAndHourOneWeek({
    throwPointId: id,
    beginTime: times[0].format('YYYY-MM-DD 00:00:00'),
    endTime: times[1].format('YYYY-MM-DD 23:59:59'),
    businessPackage: 'LANDING'
  });
  return /*#__PURE__*/_jsxs("div", {
    children: [/*#__PURE__*/_jsxs("div", {
      className: "".concat(classPrefix, "-row"),
      children: [/*#__PURE__*/_jsx(VmTitle, {
        title: "\u843D\u5730\u5305\u53D1\u751F\u6B21\u6570\u4E00\u5468\u5206\u5E03",
        border: false
      }), /*#__PURE__*/_jsx(VmFilter.VMRangePicker, {
        value: times,
        onChange: function onChange(date) {
          if (date[1].diff(date[0], 'd') > 7) {
            message.warning('时间跨度不能超过7天');
            return;
          }
          setTimes(date);
        }
      })]
    }), /*#__PURE__*/_jsx("div", {
      style: {
        height: '300px'
      },
      children: /*#__PURE__*/_jsx(Distribute, {
        data: (sumByHour === null || sumByHour === void 0 ? void 0 : sumByHour.filter(function (item) {
          return item.date;
        }).map(function (item) {
          var _split = (item.date || '').split(' '),
            _split2 = _slicedToArray(_split, 2),
            date = _split2[0],
            hour = _split2[1];
          return {
            date: date,
            hour: hour,
            value: item.throwCount || 0
          };
        })) || []
      })
    })]
  });
};
export default FSCSFB;